import { useMemo } from 'react';
import classnames from 'classnames';
import defaultClasses from './styles.module.scss';

const Caption = function Caption({
  caption, credit, styled, className,
}) {
  const classes = useMemo(() => {
    if (!styled) {
      return className;
    }

    return classnames(defaultClasses.root, className);
  }, [styled, className]);

  if (!caption) {
    return null;
  }
  return (
    <figcaption className={classes}>
      {caption}
      {credit && ` | ${credit}`}
    </figcaption>
  );
};
export default Caption;
